Skip to main content
GET
Get OTC Withdrawal By ID

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

Response

Withdrawal details

id
string<uuid>
merchant_id
string<uuid>
asset
string | null
crypto_amount
string
usdt_amount
string | null

Backward-compatible alias for crypto_amount

fiat_amount
string
fiat_currency
string
method
enum<string>
Available options:
bank,
mpesa
status
enum<string>
Available options:
draft,
priced,
pending,
approved,
processing,
completed,
rejected
from_wallet_id
string<uuid> | null
payout_bank_account
string | null
payout_bank_name
string | null
payout_phone_number
string | null
pricing_profile_id
string<uuid> | null
fx_rate_quote_id
string<uuid> | null
negotiated_fx_reference_id
string<uuid> | null
rejection_reason
string | null
rejected_at
string<date-time> | null
rejected_by
string<uuid> | null
approved_at
string<date-time> | null
approved_by
string<uuid> | null
transfer_id
string<uuid> | null
completed_at
string<date-time> | null
completed_by
string<uuid> | null
internal_note
string | null
idempotency_key
string | null
submitted_at
string<date-time> | null
created_at
string<date-time>
updated_at
string<date-time>